Bug 251796 - nouveau drm not packaged
nouveau drm not packaged
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 06:31 EDT by Pierre Ossman
Modified: 2008-05-18 08:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-18 08:18:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2007-08-11 06:31:01 EDT
In the latest kernel package, the nouveau drm driver is not packaged. This is
rather serious as the nouveau driver refuses to start without drm support.

[root@chronos ~]# rpm -ql kernel-2.6.22.1-41.fc7 | grep nouveau
[root@chronos ~]#
Comment 1 Steve Alexander 2007-08-16 11:20:31 EDT
I think you've mis-identified the package.  Nouveau was never in the kernel !

# rpm -ql xorg-x11-drv-nouveau
/usr/lib/xorg/modules/drivers/nouveau_drv.so
/usr/share/man/man4/nouveau.4.gz
Comment 2 Pierre Ossman 2007-08-16 11:56:06 EDT
Oh yes it was. The 2.6.21 kernel that F7 ships with has it, but not the 2.6.22
update. Don't confuse the xorg driver with the kernel driver.

I got this confirmed on irc and also got the added comment that it was
temporarily removed because of some dependencies on DRM updates.

So please keep this bug open until the module is back in the kernel package.
Comment 3 Dave Airlie 2007-08-29 16:28:03 EDT
The problem isn't as simple as one would hope, I need to port a bunch of changes
to the upstream drm to the kernel and then add nouveau back, I was hoping to get
this done soon, but it keeps dropping down the list, but I'm about 40% of the
way through getting the drm changes upstreamed so I can bring back nouveau...
Comment 4 Christopher Brown 2007-09-25 07:24:29 EDT
Hello folks,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

What is the latest on this - any chance of it getting into F7?
Comment 5 Bug Zapper 2008-05-14 09:57:09 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Peter van Egdom 2008-05-18 08:18:20 EDT
Thank you for the bug report.

In Fedora release 9 (Sulphur) the "nouveau" kernel-module is shipped again
out-of-the box :

 [root@pavilion tmp]# rpm -ql kernel |grep -i nouveau
 /lib/modules/2.6.25-14.fc9.i686/kernel/drivers/char/drm/nouveau.ko

Note You need to log in before you can comment on or make changes to this bug.